package state

import (
	"net/http"

	"tangled.org/core/appview/pages"
)

func (s *State) MarkdownPreview(w http.ResponseWriter, r *http.Request) {
	s.pages.MarkdownPreviewFragment(w, pages.MarkdownPreviewFragmentParams{
		LoggedInUser: s.oauth.GetMultiAccountUser(r),
		Content: r.FormValue("body"),
	})
}
